> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a category

> Create a benefit category. <h3>OAuth</h3>Required scopes: <code>benefits</code>



## OpenAPI

````yaml /assets/openapi.json post /benefits/categories/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /benefits/categories/v1:
    post:
      tags:
        - Benefits
      summary: Create a category
      description: >-
        Create a benefit category. <h3>OAuth</h3>Required scopes:
        <code>benefits</code>
      operationId: createBenefitCategory
      parameters:
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/createBenefitCategory'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  category:
                    $ref: '#/components/schemas/benefitCategory'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - benefits
components:
  requestBodies:
    createBenefitCategory:
      content:
        application/json:
          schema:
            type: object
            properties:
              category:
                description: Benefit category to create.
                type: object
                properties:
                  locationRef:
                    description: ID of the location where to create this category.
                    type: string
                    format: uuid
                  title:
                    description: Display name of the category.
                    type: string
                    minLength: 1
                required:
                  - locationRef
                  - title
            required:
              - category
      required: true
  schemas:
    benefitCategory:
      type: object
      properties:
        createDate:
          description: ISO timestamp of when the category was created.
          type: string
          format: date-time
        id:
          description: Unique identifier of the category.
          type: string
          format: uuid
        locationRef:
          description: ID of the location this category belongs to.
          type: string
          format: uuid
        networkRef:
          description: ID of the network this category belongs to.
          type: string
          format: uuid
        title:
          description: Display name of the category.
          type: string
      required:
        - createDate
        - id
        - locationRef
        - networkRef
        - title
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````